import React from "react";
import { Emoji as IEmoji } from "@matrix-org/emojibase-bindings";
import { ButtonEvent } from "../elements/AccessibleButton";
interface IProps {
    emoji: IEmoji;
    selectedEmojis?: Set<string>;
    onClick(ev: ButtonEvent, emoji: IEmoji): void;
    onMouseEnter(emoji: IEmoji): void;
    onMouseLeave(emoji: IEmoji): void;
    disabled?: boolean;
    id?: string;
    role?: string;
}
declare class Emoji extends React.PureComponent<IProps> {
    render(): React.ReactNode;
}
export default Emoji;
